#% define beta 7
%define SVN 4003

Name:		gloox
Version:		1.0
Release:		0.5.%{?beta:beta%{beta}}%{?SVN:SVNr%{SVN}}%{?dist}
Summary:		A rock-solid, full-featured Jabber/XMPP client library
Group:		System Environment/Libraries
License:		GPLv2
URL:			http://camaya.net/gloox
#Source0:		http://camaya.net/download/%{name}-%{version}%{?beta:-beta%{beta}}.tar.bz2

# svn co -r4003 svn://svn.camaya.net/gloox/trunk gloox-1.0 && \
#	pushd gloox-1.0 && DATE=$( svn info -r4003 | sed -nr '/Last Changed Date/ s/.+: (.+?) \(.+/\1/p' ) && \
#	find -exec touch -c -d"$DATE" {} \; && popd && tar --exclude='.svn' --preserve -cjf gloox-1.0-SVNr4003.tar.bz2 gloox-1.0
Source0:		%{name}-%{version}%{?beta:-beta%{beta}}%{?SVN:-SVNr%{SVN}}.tar.bz2

#Patch1:		gloox-no_ns_get16.patch
#Patch1:		gloox-getaddrinfo.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libtool, autoconf, automake
BuildRequires:	openssl-devel >= 0.9.8
BuildRequires:	gnutls-devel >= 1.2
BuildRequires:	zlib-devel >= 1.2.3
BuildRequires:	libidn-devel >= 0.5

Requires(postun):	/sbin/ldconfig
Requires(post):	/sbin/ldconfig

# Temporary UGLY HACK for http://bugs.camaya.net/horde/whups/ticket/?id=137
Patch1:		gloox-1.0-SVNr4003.glibc-private-symbol.patch
# http://bugs.camaya.net/horde/whups/ticket/?id=140
Patch2:		gloox-1.0-beta-SVNr4003-missed_header.patch
# GCC 4.4 compatibility http://bugs.camaya.net/horde/whups/ticket/?id=141
Patch3:		gloox-1.0-GCC4.4-missing_includes.patch

%description
gloox is a rock-solid, full-featured Jabber/XMPP client library, written in
C++. It makes writing spec-compliant clients easy and allows for hassle-free
integration of Jabber/XMPP functionality into existing applications.

%package		devel
Summary:		Development files for %{name}
Group:		Development/Libraries
Requires:		%{name} = %{version}-%{release}
Requires:		pkgconfig

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{version}%{?beta:-beta%{beta}}
%patch1 -p1 -b .private-glibc
%patch2 -p1 -b .missed-header
%patch3 -p1 -b .gcc4.4-missing-includes

%build
%if 0%{?SVN}
./autogen.sh
%endif

%configure --disable-static
make %{?_smp_mflags}
# recode to UTF
mv -f AUTHORS AUTHORS.old
iconv -f iso8859-1 -t UTF-8 AUTHORS.old > AUTHORS

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/%{name}-config
%{_libdir}/pkgconfig/%{name}.pc
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/*.so

%changelog
* Fri Apr 17 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 1.0-0.5.SVNr4003
- Add --exclude='.svn' to tar pack source and set time to last commit. This may allow pass hash checking soucre later.

* Tue Apr 7 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 1.0-0.4.SVNr4003
- Add Patch3: gloox-1.0-GCC4.4-missing_includes.patch to allow build on GCC4.4

* Tue Apr 7 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 1.0-0.3.SVNr4003
- REmade patch1. Instead of just comment private stuff I use temporray ugly hack - copy-past function implementation from glibc source until
	author do not reimplement it properly.

* Sun Apr 5 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 1.0-0.2.SVNr4003
- Add patch2 gloox-1.0-beta-SVNr4003-missed_header.patch - see bug http://bugs.camaya.net/horde/whups/ticket/?id=140

* Sun Apr 5 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 1.0-0.1.SVNr4003
- qutIM require gloox version 1.0 with SVN revision >= 3873. Try build current.
- Patch1 (http://bugs.camaya.net/horde/whups/ticket/?id=137) little adopted (gloox-1.0-beta7.glibc-private-symbol.patch -> gloox-1.0-SVNr4003.glibc-private-symbol.patch).
- Add SVN part into Release tag.

* Fri Mar 27 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 1.0-0.0.beta3
- Import http://www.salstar.sk/pub/fedora/SRPMS/10/gloox-1.0-0.0beta3.fc10.src.rpm
- Step to 1.0-beta7 version
- Reformat with tabs spec file.
- %%beta (replace %%beta_version) now represent only number. According it change all mention of it.
- Add Requires(postun): /sbin/ldconfig and Requires(post): /sbin/ldconfig

* Fri Mar 7 2008 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.9.9.4-1
- update to upstream

* Mon Feb 28 2008 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.9.9.3-1
- update to upstream

* Sun Dec 2 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.9.7-2
- removed patch
- added undef for HAVE_RES_QUERY, HAVE_RES_QUERYDOMAIN, HAVE_DN_SKIPNAME
  see: https://mail.camaya.net/horde/whups/ticket/?id=52

* Wed Nov 28 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.9.7-1
- update upstream
- added patch to avoid dependecny problem on libresolv.so.2(GLIBC_PRIVATE)

* Mon Sep 17 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.9.4.1-1
- first release
